EMF::EMRSETWORLDTRANSFORM(3)

NAME
EMF::EMRSETWORLDTRANSFORM - EMF Set World Transform.

SYNOPSIS

#include <libemf.h>

Inherits EMF::METARECORD, and EMRSETWORLDTRANSFORM.

  Public Member Functions

EMRSETWORLDTRANSFORM (const XFORM *transform)
EMRSETWORLDTRANSFORM (DATASTREAM &ds)
bool serialize (DATASTREAM ds)
int size (void) const
void execute (METAFILEDEVICECONTEXT *source, HDC dc) const

Detailed Description

EMF Set World Transform.

Enhanced metafiles have a Coordinate Transformation which allows the contents to be rotated and transformed. Does not appear to work properly in StarOffice (but it's also possible I don't understand how it's supposed to work either).

Constructor & Destructor Documentation

  EMF::EMRSETWORLDTRANSFORM::EMRSETWORLDTRANSFORM (const XFORM * transform) [inline]

Parameters:
    transform the new transformation

  EMF::EMRSETWORLDTRANSFORM::EMRSETWORLDTRANSFORM (DATASTREAM & ds) [inline]
Construct a SetWorldTransform record from the input stream.

Parameters:
    ds Metafile datastream.

Member Function Documentation

  void EMF::EMRSETWORLDTRANSFORM::execute (METAFILEDEVICECONTEXT * source, HDC dc) const [inline], [virtual]
Execute this record in the context of the given device context.

Parameters:
    source the device context from which this record is taken.
    dc device context for execute.

Implements EMF::METARECORD.

  bool EMF::EMRSETWORLDTRANSFORM::serialize (DATASTREAM ds) [inline], [virtual]

Parameters:
    ds Metafile datastream.

Implements EMF::METARECORD.

  int EMF::EMRSETWORLDTRANSFORM::size (void) const [inline], [virtual]
Internally computed size of this record.

Implements EMF::METARECORD.

Author

Generated automatically by Doxygen for libemf from the source code.